/{organizationId}/{mandateId}/finance/accounting/accountBalancesGet account balances
Returns a statement of account balances for a given mandate
Required permissions:
mandate.read
posting.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
formatstringrequired Options:
htmlpdfexcelcsvcostCenterRegionintegeroptional minimum: 1
maximum: 9
includePreviousPeriodbooleanoptional Default: false
showCostCentersbooleanoptional Default: false
groupBystringrequired Options:
regioncostCenternoBreakAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/accountBalances' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"format": "html",
"range": {
"from": {
"year": 2000,
"monthIndex": 1
},
"to": {
"year": 2000,
"monthIndex": 1
}
},
"accountFilter": {
"groups": [
"capitalAsset"
],
"types": [
"asset"
],
"classes": [
"permanent"
]
},
"groupBy": "region"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
namestringrequired Additional properties are not allowed.
emptybooleanrequired Response
{
"name": "string",
"data": {
"content": "string"
},
"empty": true
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}